commit:     5f0f13a570524d95c87260b7de2f5228692f5590
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Tue Apr  9 06:58:15 2019 +0000
Commit:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Tue Apr  9 07:05:41 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5f0f13a5

dev-python/keystonemiddleware: 6.0.0 bump

Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>

 dev-python/keystonemiddleware/Manifest             |  1 +
 .../keystonemiddleware-6.0.0.ebuild                | 72 ++++++++++++++++++++++
 2 files changed, 73 insertions(+)

diff --git a/dev-python/keystonemiddleware/Manifest 
b/dev-python/keystonemiddleware/Manifest
index 90a6f01925e..3b81187983a 100644
--- a/dev-python/keystonemiddleware/Manifest
+++ b/dev-python/keystonemiddleware/Manifest
@@ -1,2 +1,3 @@
 DIST keystonemiddleware-4.17.0.tar.gz 204603 BLAKE2B 
37c3de6b5151b8e6d6e53ae70836f2d8a068472822cf8fdb71f38bea58099281a4e2648b11605d5952e65baf1722ca539e06a337d6854136e84bfdeea149e309
 SHA512 
ead2eb829a2189efddb6cf0052d86d32eaca0ae7474cf0444640c0c976df66bc1cf61971891639b798ffb6745fb510fe6499e42e94cc60f2c2084ad7f06c7ab7
 DIST keystonemiddleware-4.21.0.tar.gz 207164 BLAKE2B 
da9e55170c4af189661b518c596caa216d44df4caf139992ddd3cb9de0f14799cb08fb02e9bb6472df1a68aff7971687109002e6308009afbd2532e32eebebb4
 SHA512 
2746c2524559d6de18433d3718c7caf887fc92499466c04c65bef38467e9d16f80b1907c663b47c148dc18c2aae6192a79b4d5b2387f575a69cc837971eddf76
+DIST keystonemiddleware-6.0.0.tar.gz 208974 BLAKE2B 
f8a92ed31ef5d8385ae28bbc909d4c3c3d157c9b879d3beb0b3b87665381ac138c0f0a114e0c095b663f51cf4c1973f8cbb06eff3ca21feb998809bcb73d83cd
 SHA512 
e2fe230da87de7f4ee768ba93dcbaf5382e44972a84914d6c0fbe0f13eda14ff74642594cfbbed1d6ec359eae4158bf9b798b48d362becdd6bad84ec3015db3b

diff --git a/dev-python/keystonemiddleware/keystonemiddleware-6.0.0.ebuild 
b/dev-python/keystonemiddleware/keystonemiddleware-6.0.0.ebuild
new file mode 100644
index 00000000000..6430248119c
--- /dev/null
+++ b/dev-python/keystonemiddleware/keystonemiddleware-6.0.0.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} )
+
+inherit distutils-r1
+
+DESCRIPTION="A middleware for the OpenStack Keystone API"
+HOMEPAGE="https://github.com/openstack/keystonemiddleware";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+CDEPEND=">=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
+       !~dev-python/pbr-2.1.0"
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       ${CDEPEND}
+       test? (
+               >=dev-python/coverage-4.0[${PYTHON_USEDEP}]
+               !~dev-python/coverage-4.4[${PYTHON_USEDEP}]
+               >=dev-python/cryptography-2.1[${PYTHON_USEDEP}]
+               >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+               >=dev-python/mock-2.0.0[${PYTHON_USEDEP}]
+               >=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
+               >=dev-python/requests-mock-1.2.0[${PYTHON_USEDEP}]
+               >=dev-python/stevedore-1.20.0[${PYTHON_USEDEP}]
+               >=dev-python/stestr-2.0.0[${PYTHON_USEDEP}]
+               >=dev-python/testresources-2.0.0[${PYTHON_USEDEP}]
+               >=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+               >=dev-python/os-testr-1.0.0[${PYTHON_USEDEP}]
+               >=dev-python/python-memcached-1.56[${PYTHON_USEDEP}]
+               >=dev-python/bandit-1.1.0[${PYTHON_USEDEP}]
+               >=dev-python/webtest-2.0.27[${PYTHON_USEDEP}]
+               >=dev-python/oslo-messaging-5.29.0[${PYTHON_USEDEP}]
+       )"
+
+RDEPEND="
+       ${CDEPEND}
+       >=dev-python/keystoneauth-3.4.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-cache-1.26.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-config-5.2.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-context-2.19.2[${PYTHON_USEDEP}]
+       >=dev-python/oslo-i18n-3.15.3[${PYTHON_USEDEP}]
+       >=dev-python/oslo-log-3.36.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-serialization-1.18.0[${PYTHON_USEDEP}]
+       !~dev-python/oslo-serialization-1.19.1[${PYTHON_USEDEP}]
+       >=dev-python/oslo-utils-3.33.0[${PYTHON_USEDEP}]
+       >=dev-python/pycadf-1.1.0[${PYTHON_USEDEP}]
+       !~dev-python/pycadf-2.0.0[${PYTHON_USEDEP}]
+       >=dev-python/python-keystoneclient-3.8.0[${PYTHON_USEDEP}]
+       >=dev-python/requests-2.14.2[${PYTHON_USEDEP}]
+       >=dev-python/six-1.10.0[${PYTHON_USEDEP}]
+       >=dev-python/webob-1.7.1[${PYTHON_USEDEP}]"
+
+PATCHES=(
+)
+
+python_prepare_all() {
+       sed -i '/^hacking/d' test-requirements.txt || die
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       testr init
+       testr run || die "testsuite failed under python2.7"
+       flake8 ${PN/python-/}/tests || die "run over tests folder by flake8 
drew error"
+}

Reply via email to